VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsPallette"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private nNumColors As Integer

Private arColors() As Long

Public Function NumPens() As Integer
    NumPens = nNumColors
End Function

Property Get Color(nC As Integer) As Long
    Color = arColors(nC)
End Property

Property Let Color(nC As Integer, nX As Long)
    arColors(nC) = nX
End Property

Public Sub Init()
    nNumColors = 4
    ReDim arColors(4) As Long
End Sub

Public Sub Load(stFileName As String)
Dim ii As Integer, nFile As Integer
Dim stLine As Integer
    
    If stFileName = "" Then GoTo EndSub
    nFile = FreeFile
    
    Open stFileName For Input As nFile
       
    'Load number of colors
    Input #nFile, nNumColors
    
    'Load File
    For ii = 0 To nNumColors - 1
        Input #nFile, arColors(ii)
    Next ii
               
    Close #nFile
    
EndSub:
End Sub

Public Sub Save(stFileName As String)
Dim ii As Integer, nFile As Integer
       
    If stFileName = "" Then GoTo EndSub
    
    nFile = FreeFile
    Open stFileName For Output As nFile
        'How many Colors
        Print #nFile, CInt(nNumColors)
        
        'Save File
        For ii = 0 To nNumColors - 1
            Print #nFile, CLng(arColors(ii))
        Next ii
            
    Close #nFile

EndSub:
End Sub

